<?php
	require_once( $GLOBALS["site_root"] . "/includes/widgets/DGreenBox.inc.php" );
	require_once( $GLOBALS["site_root"] . "/includes/urlgen/News.inc.php" );
	require_once( $GLOBALS["site_root"] . "/includes/urlgen/Forum.inc.php" );
	require_once( $GLOBALS["site_root"] . "/includes/urlgen/MyUser.inc.php" );
	require_once( $GLOBALS["site_root"] . "/includes/urlgen/MyMember.inc.php" );
	require_once( $GLOBALS["site_root"] . "/includes/urlgen/Article.inc.php" );
	
	require_once( $GLOBALS["site_root"] . "/includes/models/Articlecategories.inc.php" );

	class MenuBox extends DGreenBox {

		public function render() {
			if ($this->sRendered) return $this->sRendered;
			$this->setParam( "url_translation_jobs" , TranslatorJobsURL::renderURL() );
			$this->setParam( "url_forum" , ForumURL::renderURL() );
			$this->setParam( "url_discounts" , ArticleURL::renderURLFromArticleName( "kedvezmenyek" ) );
			$this->setParam( "url_knowledge_base_for_translators" , ArticleURL::renderURLFromArticleName( "informacio2" ) );
			$this->setParam( "url_contact" , ArticleURL::renderURLFromArticleName( "contact" ) );

			$acm = new ArticlecategoriesModel();
			$ac_bulletin = $acm->getArticleCategoryFromName( "--bulletin--" );
			$ac_profinfo = $acm->getArticleCategoryFromName( "--profinfo--" );
			$acopts = $acm->getArticleCategoryOptions( false , false );
			$this->setParam( "url_article_bulletin" , "/faliujsag/" );
			$this->setParam( "title_article_bulletin" , $acopts[ $ac_bulletin["article_category_id"] ] );
			$this->setParam( "url_article_profinfo" , "/forditoi-tudastar/" );
			$this->setParam( "title_article_profinfo" , $acopts[ $ac_profinfo["article_category_id"] ] );

			return parent::render();
		}
	}


?>
